Subject: Re: Instillation issues
From: Denis Excoffier <[email-masked]>
To: marco atzeri <[email-masked]>
Cc: [email-masked]
Date: Wed, 16 Jan 2013 22:14:20 +0100
List-Id: <cygwin.cygwin.com>

On 2013-01-13 08:20, marco atzeri wrote:
> On 1/13/2013 12:22 AM, lazycody wrote:
>> This morning I downloaded the setup file from the Cygwin website. I started
>> the instillation and selected all the packages to be installed.It started
>> downloading packages from the mirror site I selected. That was 8 hours ago
>> and the downloading now says its at 330% and increasing I thought it would
>> finish at 100%. So is this because of the extra packages or is it just
>> downloading the same thing over and over. And when is it suppose to finish
>> downloading like at 400% percent or something?
>> 
>> 
> 
> I doubt anyone is trying the same,
> full cygwin installation is > 10Gb

I sometimes (say: once a year, to clean my package directory) do this myself,
and a full cygwin installation is currently a little bit more than 4Gb (i did it
this morning, it took one hour or so). If you let the old packages accumulate during,
say, a year, you can reach bigger quantities in your package folder, say, 6Gb.

Post installation script _is_ very slow for texlive packages
but it seems the OP has also a slow internet connection or a slow
mirror. About the figures he gives, this can be explained like this:

Suppose that "total" is a little bit more than 4Gb, and that
the "done" part and "total" itself are stored (within the source code of
setup.exe) under signed 32 bit variables. You will observe what you describe.

See below (columns "exp-ected" and "obs-erved"),
after translation of plain numbers into megabytes (ie 2048 = 2Gb). This morning
it went up to 2467% if i remember correctly, just before switching to -2467%.

To the OP: wait until percentage is back to zero, and wait a little more!
We will also have to cope with segv in setup.exe (for 2 packages gstreamer
debug, and also after a few clicks after you answer yes after "download incomplete"
(but perhaps it was because i did "Reinstall" and not "Install")).
Also: i always perform Download and Installation separately.

% cat foo.cc
#include <stdio.h>

//
int overflow(int const& v) {
//
  return ((v + 2048) % 4096) - 2048; // emulate overflow
};

//
int main() {
//
  int const totalexp = 4096 + (4400 - 4096);
  int const totalobs = overflow(totalexp);
  int const calibration = 200; // try smaller values to get more lines
  for ( int i = 0 ; i <= totalexp / calibration ; ++i ) { 
    int const doneexp = i * calibration;
    float const expected = 100.0 * doneexp / totalexp;
    int const doneobs = overflow(doneexp);
    float const observed = 100.0 * doneobs / totalobs;
    printf("// i=%d exp=%f obs=%f\n", i, expected, observed);
  };
  return 0;
};
% gcc -o foo foo.cc; ./foo
// i=0 exp=0.000000 obs=0.000000
// i=1 exp=4.545455 obs=65.789474
// i=2 exp=9.090909 obs=131.578949
// i=3 exp=13.636364 obs=197.368423
// i=4 exp=18.181818 obs=263.157898
// i=5 exp=22.727272 obs=328.947357
// i=6 exp=27.272728 obs=394.736847
// i=7 exp=31.818182 obs=460.526306
// i=8 exp=36.363636 obs=526.315796
// i=9 exp=40.909092 obs=592.105286
// i=10 exp=45.454544 obs=657.894714
// i=11 exp=50.000000 obs=-623.684204
// i=12 exp=54.545456 obs=-557.894714
// i=13 exp=59.090908 obs=-492.105255
// i=14 exp=63.636364 obs=-426.315796
// i=15 exp=68.181816 obs=-360.526306
// i=16 exp=72.727272 obs=-294.736847
// i=17 exp=77.272728 obs=-228.947372
// i=18 exp=81.818184 obs=-163.157898
// i=19 exp=86.363640 obs=-97.368423
// i=20 exp=90.909088 obs=-31.578947
// i=21 exp=95.454544 obs=34.210526
// i=22 exp=100.000000 obs=100.000000

Hope this helps,

Regards,

Denis Excoffier.

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple